# Gets all the contextChecks the caller has submitted

Endpoint: GET /contextChecks
Security: clientCredentials, oAuth2Password

## Query parameters:

  - `start` (string)
    Filter contextChecks created after this date (inclusive with ascending sort order, exlusive with descending sort order)

  - `end` (string)
    Filter contextChecks created before this date (exclusive with ascending sort order, inclusive with descending sort order)

  - `limit` (number)
    The number of contextChecks to return.

  - `sort` (string)
    The direction to sort contextChecks by created_at

  - `filter` (string)
    Filters context checks with their corresponding indexOn value if the writer set one.

## Response 200 fields (application/json):

  - `data` (array, required)

  - `data.id` (string, required)
    The ID of the contextCheck

  - `data.created_at` (string, required)
    The datetime the contextCheck was created

  - `data.updated_at` (string, required)
    The datetime the contextCheck was last updated. Will just be the created date or completed date

  - `data.input` (string, required)
    The contextCheck to generate context for

  - `data.status` (string, required)
    Enum: "processing"

  - `data.context` (object, required)

  - `data.context.created_at` (string, required)
    The datetime the context was created

  - `data.context.summary` (string)
    The summarized analysis about the context returned in the response

  - `data.context.response` (string, required)
    The generated context about the contextCheck

  - `data.context.sources` (array, required)
    The sources used to generate the contextCheck

  - `data.context.sources.url` (string, required)
    The link to the source content

  - `data.context.sources.title` (string)
    The title of the page content of the source

  - `data.context.sources.content` (string)
    The entire textual page content of the source used

  - `data.context.sources.favicon` (string)
    An icon for the source

  - `data.context.enrichment` (object)
    Any hydration performed on the input while building the context

  - `data.context.enrichment.link` (string, required)
    The link that was hydrated

  - `data.context.enrichment.input_type` (any, required)

  - `data.context.enrichment.created_at` (string)
    The date-time the linked data was published to the internet

  - `data.context.enrichment.title` (string)
    A title for the hydrated content if there is one

  - `data.context.enrichment.text` (string)
    The full text of the hydrated content

  - `data.context.enrichment.lang` (string)
    The inferred language of the hydrated content, if determined

  - `data.context.enrichment.image` (string)
    The link to the image that was hydrated, if one was hydrated. May be the original link provided or an image linked from it

  - `data.context.enrichment.video` (string)
    The link to the video that was hydrated, if one was hydrated.  May be the original link provided or a url linked from it

  - `data.context.enrichment.authors` (array, required)
    The author(s) of the hydrated content

  - `data.context.enrichment.authors.name` (string, required)
    The author of the content.

  - `data.context.enrichment.authors.profile_image` (string)
    An image link for the author of the content

  - `data.context.enrichment.links` (array, required)
    Any links to more data from the original content that was hydrated

  - `data.context.enrichment.links.href` (string, required)
    The link to the extra data

  - `data.context.enrichment.links.text` (string)
    Textual representation of what is at the link

  - `data.context.label` (string)
    Classication label of compass risk. Label can be ['Safe', 'Caution', 'Warning']

  - `data.error` (string, required)
    Example: There was an error processing your contextCheck.

